com.pivotal.gemfirexd.internal.client.net

## Class NetConfiguration

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.net.NetConfiguration

    public class NetConfiguration
    extends Object

### Field Summary

Fields
`static int` `MGRLVL_7`
`static byte` `NON_CHAR_DDM_DATA_PAD_BYTE`
`static int` `PKG_IDENTIFIER_FIXED_LEN`
`static int` `PKGCNSTKN_FIXED_LEN`
`static int` `PRDDTA_APPL_ID_FIXED_LEN`
`static String` `PRDDTA_PLATFORM_ID`
`static int` `PRDDTA_USER_ID_FIXED_LEN`
`static String` `PRDID`
`static int` `SECMEC_EUSRIDDTA`
`static int` `SECMEC_EUSRIDPWD`
`static int` `SECMEC_EUSRPWDDTA`
`static int` `SECMEC_USRENCPWD`
`static int` `SECMEC_USRIDONL`
`static int` `SECMEC_USRIDPWD`
`static int` `SECMEC_USRSSBPWD`
`static String` `SYSTEM_ASC`

### Constructor Summary

Constructors
Constructor and Description
`NetConfiguration()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NON_CHAR_DDM_DATA_PAD_BYTE

    public static final byte NON_CHAR_DDM_DATA_PAD_BYTE

See Also:
  Constant Field Values

#### PRDDTA_APPL_ID_FIXED_LEN

    public static final int PRDDTA_APPL_ID_FIXED_LEN

See Also:
  Constant Field Values

#### PRDDTA_PLATFORM_ID

    public static final String PRDDTA_PLATFORM_ID

See Also:
  Constant Field Values

#### PRDDTA_USER_ID_FIXED_LEN

    public static final int PRDDTA_USER_ID_FIXED_LEN

See Also:
  Constant Field Values

#### PKG_IDENTIFIER_FIXED_LEN

    public static final int PKG_IDENTIFIER_FIXED_LEN

See Also:
  Constant Field Values

#### PKGCNSTKN_FIXED_LEN

    public static final int PKGCNSTKN_FIXED_LEN

See Also:
  Constant Field Values

#### MGRLVL_7

    public static final int MGRLVL_7

See Also:
  Constant Field Values

#### SECMEC_EUSRIDPWD

    public static final int SECMEC_EUSRIDPWD

See Also:
  Constant Field Values

#### SECMEC_USRIDONL

    public static final int SECMEC_USRIDONL

See Also:
  Constant Field Values

#### SECMEC_USRENCPWD

    public static final int SECMEC_USRENCPWD

See Also:
  Constant Field Values

#### SECMEC_USRIDPWD

    public static final int SECMEC_USRIDPWD

See Also:
  Constant Field Values

#### SECMEC_EUSRIDDTA

    public static final int SECMEC_EUSRIDDTA

See Also:
  Constant Field Values

#### SECMEC_EUSRPWDDTA

    public static final int SECMEC_EUSRPWDDTA

See Also:
  Constant Field Values

#### SECMEC_USRSSBPWD

    public static final int SECMEC_USRSSBPWD

See Also:
  Constant Field Values

#### SYSTEM_ASC

    public static final String SYSTEM_ASC

See Also:
  Constant Field Values

#### PRDID

    public static String PRDID

### Constructor Detail

#### NetConfiguration

    public NetConfiguration()